Skip to navigation

Search batch points

Retrieves the closest points in batches based on vector similarity and given filtering conditions.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to search in

Query parameters

consistencyinteger or enumOptional
Define read consistency guarantees for the operation
timeoutintegerOptional>=1
If set, overrides global timeout for this request. Unit is seconds.

Request

Search batch request
searcheslist of objectsRequired

Response

successful operation
timefloatOptional
Time spent to process this request
statusstringOptional
resultlist of lists of objectsOptional

Errors

4XX
Client Request Error